#include <iostream>
#include <sstream>
#include <vector>
#include <cassert>

#include <unistd.h> //read

const int MCP_INPUT = 3;
const int MCP_OUTPUT = 4;

void failout(const std::string& msg) {
    std::cerr << msg << std::endl;
    exit(1);
}

std::string read_board() {
    char buf[13] = {};
    std::stringstream ss;
    while (true) {
        auto bytes_read = read(MCP_INPUT, buf, 12);
        if (bytes_read <= 0)
            failout("Error reading input from MCP");

        //Is it the end?
        if (buf[bytes_read-1] == '\n') {
            buf[bytes_read-1] = '\0';
            break;
        }
        buf[bytes_read] = '\0';
        ss << buf;
    }
    ss << buf;
    return ss.str();
}

void write_move(std::string move) {
    unsigned l = move.length();
    unsigned pos = 0;
    while (pos < l) {
        auto bytes_written = write(MCP_OUTPUT, move.c_str()+pos, l-pos);
        if (bytes_written < 0) failout("Error writing to MCP");
        pos += bytes_written;
    }
}

int main(int, char**) {
    while (1) {
        auto board = read_board();
        std::cout << "Your Move: ";
        std::string kbd_in;
        std::cin >> kbd_in;
        std::cout << std::endl;
        write_move(kbd_in+"\n");
    }
}
